Articles of ffmpeg

Не удалось установить ffmpeg на CircleCi 2.0

У меня есть проект Ruby on Rails который использует CircleCi для запуска тестов. Раньше я использовал CircleCi 1.0, но теперь я перешел на CircleCi 2.0. У меня проблема с установкой ffmpeg. CircleCi 2.0 использует Ubuntu 14.04. Я устанавливаю ffmpeg следующим образом: # ffmpeg installation sudo add-apt-repository ppa:mc3man/trusty-media -y sudo apt-get update sudo apt-get install ffmpeg […]

Получение «поля имеет неполный тип» и «конфликтующие типы»

Я пытаюсь создать pjsip из источника с поддержкой видео gcc на ubuntu. После того, как я успешно выполнил полный запуск ./configure и make dep, я запустил make и у меня появилась ошибка ниже: ../src/pjmedia/ffmpeg_util.c:46:18: error: field ‘codec_id’ has incomplete type ../src/pjmedia/ffmpeg_util.c:148:13: error: conflicting types for ‘pjmedia_format_id_to_CodecID’ ../src/pjmedia/ffmpeg_util.h:23:13: note: previous declaration of ‘pjmedia_format_id_to_CodecID’ was here ../src/pjmedia/ffmpeg_util.c: […]

Ошибка при установке pHash на Ubuntu

Поэтому я пытался установить библиотеки pHash на Ubuntu. Я установил все необходимые пакеты, выполняющие эту команду: apt-get install libavformat-dev libmpg123-dev libsamplerate-dev libsndfile-dev cimg-dev libavcodec-dev ffmpeg libswscale-dev Затем я запускаю ./configure и все выглядит нормально, я получил это: francesco@francesco-VirtualBox:~$ cd ‘/home/francesco/Scrivania/pHash-0.9.6’ francesco@francesco-VirtualBox:~/Scrivania/pHash-0.9.6$ ./configure checking for a BSD-compatible install… /usr/bin/install -c checking whether build environment is sane… […]

Синтаксическая ошибка: “(” неожиданно – с! (*. Sh) в сценарии bash

Я хочу запустить файл sh: #!/bin/bash for f in !(*.sh); do ffmpeg -i “$f” -vf yadif=0:-1 -threads 0 -c:v libx264 -pix_fmt yuv420p \ -r 29.97 -b:v 3000k -s 1280×720 -preset:v slow -profile:v Main \ -level 3.1 -bf 2 -movflags faststart /mnt/media/out-mp4/”${f%.mxf}.mp4″ rm $f done Однако я получаю следующую ошибку: 2: task1.sh: Syntax error: “(” unexpected […]

ОШИБКА: версия декодера libvpx должна быть> = 0.9.1

Heyo! Я пытаюсь установить ffmpeg на свой сервер, используя следующий учебник: https://ffmpeg.org/trac/ffmpeg/wiki/UbuntuCompilationGuideLucid Когда я добираюсь до части ffmpeg и запускаю команду ./configure, она дает следующую ошибку: ERROR: libvpx decoder version must be >=0.9.1 Я должен упомянуть, что у моего сервера Ubunto 10.10 64bit. Я новичок в Linux, поэтому, пожалуйста, примите это во внимание 🙂 Большое […]

Еще одна проблема ffmpeg / libx264

Моя нынешняя ситуация; ffmpeg и libx264 были скомпилированы для Android, как для общих, так и для статических библиотек соответственно. Поскольку у меня есть libx264.a и libffmpeg.so со мной, остается только связать их и получить библиотеку ffmpeg, которая позволит мне продолжить работу с моим приложением. Однако некоторые вопросы остаются без ответа. Я использую Ubuntu с виртуальной […]

Пожалуйста, дайте мне учебник FFMPEG, который работает на Ubuntu 12.04

ffmpeg не компилируется. Каждый раз, когда возникает ошибка, независимо от того, что я делаю. Я установил чистую 12,04, а затем учебник на веб-сайте ffmpeg, но он все еще не работает. Если это не libfdk-aac , это ошибка libx246 . Кто-то может помочь? Я просто попытался следовать другому учебнику, и он жаловался на libfdk-aac . У […]

ffmpeg через https не удается

Если я передаю URL с http, например: ffmpeg -i http://vjs.zencdn.net/v/oceans.mp4 videojs.mp4 Он работает отлично. Однако, когда я подаю URL с https, например: ffmpeg -i https://s3-us-west-2.amazonaws.com/bucket/check.mp4 video.mp4 Это дает мне ошибку: https protocol not found, recompile FFmpeg with openssl, gnutls, or securetransport enabled. https://s3-us-west-2.amazonaws.com/bucket/check.mp4: Protocol not found Однако одни и те же команды работают на моей […]

Можно ли сделать преобразование без потерь из m4v в webm?

У меня есть несколько файлов m4v, которые мне нужно преобразовать в webm. Я использую ffmpeg для этого и использовал такие команды, как: ffmpeg -i myfiletoconvert.m4v output.webm Преобразование работает отлично, и разрешение все равно одно и то же, однако качество не одно и то же. Мне бы хотелось, чтобы преобразование было без потерь. Я хотел бы, […]

Разрешение FFMpeg отклонено

Я установил ffmpeg в / root / bin Я следовал этому руководству: https://trac.ffmpeg.org/wiki/CompilationGuide/Ubuntu Теперь я хочу, чтобы не admin получал доступ к нему. Я создал символическую ссылку в / usr / local / bin теперь, если я пытаюсь выполнить, я получаю: -bash: /usr/local/bin/ffmpeg: Permission denied